import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a route that is associated with a virtual router.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-appmesh-route.html">the AWS Docs</a>
*/
export function route(routeProps) {
    return new AwsResource('AWS::AppMesh::Route', routeProps, { Uid: 'Uid', MeshName: 'MeshName', VirtualRouterName: 'VirtualRouterName', MeshOwner: 'MeshOwner', ResourceOwner: 'ResourceOwner', RouteName: 'RouteName', Arn: 'Arn' });
}
